Skip to main content
DELETE
/
api
/
api-keys
Revoke API key
curl --request DELETE \
  --url https://www.lettucestream.com/api/api-keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keyId": "<string>"
}
'
[
  {
    "id": "<string>",
    "label": "<string>",
    "prefix": "<string>",
    "createdAt": "<string>",
    "lastUsedAt": "<string>",
    "revokedAt": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
keyId
string
required

Response

200 - application/json

Updated API key list

id
string
required
label
string
required
prefix
string
required
createdAt
string
lastUsedAt
string
revokedAt
string